Package twisted :: Package popsicle :: Module mailsicle :: Class IdentitySaver

[show private | hide private]
[frames | no frames]

## Class IdentitySaver

     Adapter --+
               |
    DefaultSaver --+
                   |
                  IdentitySaver

Persistor for cred Identities.

Method Summary
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting. (inherited from `Adapter`)
| ``descriptiveName`(self)` Return a pretty-printed (non-unique) name describing me. (inherited from `DefaultSaver`)
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original on the assumption that it is an instance of Componentized. (inherited from `Adapter`)
| ``getContinuations`(self)` Get a list of 'continuation' sections. (inherited from `DefaultSaver`)
| `getIndexes(self)`
| ``getItems`(self)` Get a list of tuples of strings, [(key, value), ...].
| ``loadContinuations`(self, cont)` Take the result of a getContinuations() call and populate self.original. (inherited from `DefaultSaver`)
| `loaditem_class(self, kv, vv)` (inherited from `DefaultSaver`)
| `loaditem_key(self, kv, vv)`
| `loaditem_name(self, kv, vv)`
| `loaditem_oid(self, kv, vv)` (inherited from `DefaultSaver`)
| `loaditem_password(self, kv, vv)`
| ``loadItems`(self, items, toplevel)` Take the result of a getItems() call and populate self.original. (inherited from `DefaultSaver`)
| `postLoad(self)` (inherited from `DefaultSaver`)
| `preLoad(self)`

Method Details

### getItems(self)

Get a list of tuples of strings, [(key, value), ...].

  Overrides:
    `twisted.popsicle.mailsicle.DefaultSaver.getItems` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:18:35 2003 | http://epydoc.sf.net